#210 closed defect (fixed)

i82586 driver packet length bug

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 2
Component: network/legacy Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The driver extracts the ethernet header as required by the
RTEMS stack (different from the netbsd stack), how-ever
the lengths are not updated. This results in a tcp checksum
error.

Release:
cvs-head

Environment:
mvme172, tcp, telnet

How-To-Repeat:
send a tcp packet :-)

Attachments (1)

pr210.tar.gz (642 bytes) - added by Chris Johns on Dec 3, 2006 at 1:31:12 PM.
pr210.tar.gz

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 7, 2002 at 12:18:28 PM by Joel Sherrill

Owner: changed from eric to Chris Johns

comment:2 Changed on May 14, 2002 at 2:16:56 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Patch applied

Changed on Dec 3, 2006 at 1:31:12 PM by Chris Johns

Attachment: pr210.tar.gz added

pr210.tar.gz

Note: See TracTickets for help on using tickets.